
/**
 * Copyright (c) 2006, yher2.net
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without modification, 
 * are permitted provided that the following conditions are met:
 * 
 * * Redistributions of source code must retain the above copyright notice, 
 *   this list of conditions and the following disclaimer.
 * * Redistributions in binary form must reproduce the above copyright notice, 
 *   this list of conditions and the following disclaimer in the documentation 
 *   and/or other materials provided with the distribution.
 * * Neither the name of the nor the names of its contributors may be used to endorse or 
 *   promote products derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND 
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES 
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. 
 * IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, 
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES 
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; 
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY 
 * OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF 
 * SUCH DAMAGE.
 */
package net.yher2.workstyle.torque.bean;

import java.io.Serializable;
import java.util.Date;


                  
/**
 * This class was autogenerated by Torque on:
 *
 * [Thu Jan 26 23:30:02 JST 2006]
 *
 * You should not use this class directly.  It should not even be
 * extended; all references should be to TaskCommentBean
 */
public abstract class BaseTaskCommentBean
    implements Serializable
{

    /**
     * whether the bean or its underlying object has changed
     * since last reading from the database
     */
    private boolean modified = true;

    /**
     * false if the underlying object has been read from the database,
     * true otherwise
     */
    private boolean isNew = true;

  
    /** The value for the commentId field */
    private int commentId;
  
    /** The value for the contents field */
    private String contents;
  
    /** The value for the commentator field */
    private String commentator;
  
    /** The value for the updateDate field */
    private Date updateDate;
  
    /** The value for the taskId field */
    private int taskId;


    /**
     * sets whether the bean exists in the database
     */
    public void setNew(boolean isNew)
    {
        this.isNew = isNew;
    }

    /**
     * returns whether the bean exists in the database
     */
    public boolean isNew()
    {
        return this.isNew;
    }

    /**
     * sets whether the bean or the object it was created from
     * was modified since the object was last read from the database
     */
    public void setModified(boolean isModified)
    {
        this.modified = isModified;
    }

    /**
     * returns whether the bean or the object it was created from
     * was modified since the object was last read from the database
     */
    public boolean isModified()
    {
        return this.modified;
    }


    /**
     * Get the CommentId
     *
     * @return int
     */
    public int getCommentId ()
    {
        return commentId;
    }

    /**
     * Set the value of CommentId
     *
     * @param v new value
     */
    public void setCommentId(int v)
    {
  
        this.commentId = v;
        setModified(true);

    }

    /**
     * Get the Contents
     *
     * @return String
     */
    public String getContents ()
    {
        return contents;
    }

    /**
     * Set the value of Contents
     *
     * @param v new value
     */
    public void setContents(String v)
    {
  
        this.contents = v;
        setModified(true);

    }

    /**
     * Get the Commentator
     *
     * @return String
     */
    public String getCommentator ()
    {
        return commentator;
    }

    /**
     * Set the value of Commentator
     *
     * @param v new value
     */
    public void setCommentator(String v)
    {
  
        this.commentator = v;
        setModified(true);

    }

    /**
     * Get the UpdateDate
     *
     * @return Date
     */
    public Date getUpdateDate ()
    {
        return updateDate;
    }

    /**
     * Set the value of UpdateDate
     *
     * @param v new value
     */
    public void setUpdateDate(Date v)
    {
  
        this.updateDate = v;
        setModified(true);

    }

    /**
     * Get the TaskId
     *
     * @return int
     */
    public int getTaskId ()
    {
        return taskId;
    }

    /**
     * Set the value of TaskId
     *
     * @param v new value
     */
    public void setTaskId(int v)
    {
  
        this.taskId = v;
        setModified(true);

    }

      
    
                  
    
        private TaskBean aTaskBean;

    /**
     * sets an associated TaskBean object
     *
     * @param v TaskBean
     */
    public void setTaskBean(TaskBean v)
    {
            if (v == null)
        {
                          setTaskId( 0);
              }
        else
        {
            setTaskId(v.getTaskId());
        }
            aTaskBean = v;
    }

                        
    /**
     * Get the associated TaskBean object
     *
     * @return the associated TaskBean object
     */
    public TaskBean getTaskBean()
    {
        return aTaskBean;
    }

  

        }
